Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.sampled
Class LineEvent.Type

    java.lang.Object
      javax.sound.sampled.LineEvent.Type

Enclosing class:
  LineEvent

public static class LineEvent.Type
extends Object

The LineEvent.Type inner class identifies what kind of event occurred on a line. Static instances are provided for the common types (OPEN, CLOSE, START, and STOP).

See Also:
  `LineEvent.getType()`

Field Summary
`static LineEvent.Type` | `CLOSE` A type of event that is sent when a line closes, freeing the system resources it had obtained when it was opened.
`static LineEvent.Type` | `OPEN` A type of event that is sent when a line opens, reserving system resources for itself.
`static LineEvent.Type` | `START` A type of event that is sent when a line begins to engage in active input or output of audio data in response to a `start` request.
`static LineEvent.Type` | `STOP` A type of event that is sent when a line ceases active input or output of audio data in response to a `stop` request, or because the end of media has been reached.

Constructor Summary
`protected` | `LineEvent.Type(String name)` Constructs a new event type.

Method Summary
`boolean` | `equals(Object obj)` Indicates whether the specified object is equal to this event type, returning `true` if the objects are identical.
`int` | `hashCode()` Finalizes the hashcode method.
`String` | `toString()` Returns the type name as the string representation.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### OPEN

    public static final LineEvent.Type OPEN

  A type of event that is sent when a line opens, reserving system resources for itself.

  See Also:
    `CLOSE`, `Line.open()`

### CLOSE

    public static final LineEvent.Type CLOSE

  A type of event that is sent when a line closes, freeing the system resources it had obtained when it was opened.

  See Also:
    `OPEN`, `Line.close()`

### START

    public static final LineEvent.Type START

  A type of event that is sent when a line begins to engage in active input or output of audio data in response to a `start` request.

  See Also:
    `STOP`, `DataLine.start()`

### STOP

    public static final LineEvent.Type STOP

  A type of event that is sent when a line ceases active input or output of audio data in response to a `stop` request, or because the end of media has been reached.

  See Also:
    `START`, `DataLine.stop()`

Constructor Detail

### LineEvent.Type

    protected LineEvent.Type(String name)

  Constructs a new event type.

Parameters:
  `name` - name of the type

Method Detail

### equals

    public final boolean equals(Object obj)

  Indicates whether the specified object is equal to this event type, returning `true` if the objects are identical.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the reference object with which to compare
  Returns:
    `true` if this event type is the same as `obj`; `false` otherwise
  See Also:
    `Object.hashCode()`, `Hashtable`

### hashCode

    public final int hashCode()

  Finalizes the hashcode method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### toString

    public String toString()

  Returns the type name as the string representation.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.